<?xml version="1.0" encoding="gb2312"?>
<class classname="DBGrid" visible="true" iscontainer="false" extends="DBUIControl">
  <private>
  </private>
  <protect>
  </protect>
  <public>
  </public>
  <published>
    <properties>
      <property name="Columns" type="Columns" default="(Columns)" editor="ColumnsEditor">
      </property>
      <property name="Header" type="Headers" editor="TreeEditor">
	    <properties>
		  <property name="style" type="style" editor="TreeEditor">
			<properties>
				 <property name="backgroundColor" type="String" editor="ColorEditor">
				 </property>
				 <property name="backgroundImage" type="String">
				 </property>
				 <property name="borderColor" type="String" editor="ColorEditor">
				 </property>
				 <property name="borderStyle" type="String" editor="SelectEditor">
			   <options>
				 <option value="none"/>
					 <option value="dotted"/>		
					 <option value="dashed"/>		
					 <option value="solid"/>		
					 <option value="double"/>		
					 <option value="groove"/>		
					 <option value="ridge"/>		
					 <option value="inset"/>		
					 <option value="window-inset"/>		
					 <option value="outset"/>		
				   </options>		
				 </property>         
				 <property name="borderWidth" type="String" >
				 </property>
				<property name="cursor" type="String" editor="SelectEditor">
			   <options>
				 <option value="all-scroll"/>
					 <option value="auto"/>		
					 <option value="col-resize"/>		
					 <option value="crosshair"/>		
					 <option value="default"/>		
					 <option value="hand"/>		
					 <option value="help"/>		
					 <option value="move"/>		
					 <option value="no-drop"/>		
					 <option value="not-allowed"/>		
					 <option value="pointer"/>		
					 <option value="progress"/>		
					 <option value="row-resize"/>		
					 <option value="text"/>		
					 <option value="url(uri)"/>		
					 <option value="vertical-text"/>		             
					 <option value="wait"/>		
					 <option value="*-resize"/>		             
				   </options>		
				 </property>         
				 <property name="display" type="String" editor="SelectEditor">
			   <options>
				 <option value="block"/>
					 <option value="none"/>		
					 <option value="inline"/>		
				 <option value="inline-block"/>
					 <option value="table-header-group"/>		
					 <option value="table-footer-group"/>		
				   </options>		
				 </property>
				 <property name="color" type="String" editor="ColorEditor" >
				 </property>
				 <property name="fontFamily" type="String" >
				 </property>
				 <property name="fontSize" type="String" >
				 </property>
				 <property name="fontStyle" type="String" editor="SelectEditor">
			   <options>
				 <option value="normal"/>
					 <option value="italic"/>		
					 <option value="oblique"/>		
				   </options>		
				 </property>
			  </properties>
			</property>
	    </properties>
	</property>
	  
    </properties>
    <methods>
    </methods>
    <events>
      <event name="OnCellClick">
		<params>
		  <param name="object">
		  </param>
		  <param name="row">
		  </param>
		  <param name="col">
		  </param>
		</params>
      </event>
      <event name="OnCellDblClick">
		<params>
		  <param name="object">
		  </param>
		  <param name="row">
		  </param>
		  <param name="col">
		  </param>
		</params>
      </event>
      <event name="OnCellFocus">
		<params>
		  <param name="object">
		  </param>
		  <param name="row">
		  </param>
		  <param name="col">
		  </param>
		</params>
      </event>
      <event name="OnCellBlur">
		<params>
		  <param name="object">
		  </param>
		  <param name="row">
		  </param>
		  <param name="col">
		  </param>
		</params>
      </event>
      <event name="OnCellKeyDown">
		<params>
		  <param name="object">
		  </param>
		  <param name="row">
		  </param>
		  <param name="col">
		  </param>
		  <param name="keyCode">
		  </param>
		</params>
      </event>
    </events>
  </published>
</class>